View Issue Details

IDProjectCategoryView StatusLast Update
0003298unrealircdpublic2011-12-25 14:07
ReporterStealthAssigned Tosyzop 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platform*OS*OS Version*
Product Version3.2.6 
Target VersionFixed in Version3.2.10-rc1 
Summary0003298: KICK inconsistancy
DescriptionWhen sending the KICK command between servers, the channel name is sent as-is instead of being replaced by the actual channel name.
Additional InformationExample:
Channel #Channel

-> KICK #channel user

KICK is sent to the other servers as #channel, and not #Channel
TagsNo tags attached.
3rd party modules

Activities

2007-04-25 17:12

 

m_kick.patch (1,422 bytes)

WolfSage

2007-04-25 17:13

reporter   ~0013702

Patch uploaded. Changes:

- Minor language updates.
- KICK now sends proper channel name to other servers
- Local KICK now displays proper channel name from other servers (Separate incident)

stskeeps

2007-04-26 09:21

reporter   ~0013737

Patched in .2381

syzop

2011-12-25 14:07

administrator   ~0016832

- Tweak: send actual channel name and not user supplied channel in KICK,
  reported and patch by Stealth (0003298).

http://hg.unrealircd.com/hg/unreal/rev/828bc1252f57

Done :)

Issue History

Date Modified Username Field Change
2007-04-25 00:02 Stealth New Issue
2007-04-25 03:07 stskeeps Status new => acknowledged
2007-04-25 17:12 WolfSage File Added: m_kick.patch
2007-04-25 17:13 WolfSage Note Added: 0013702
2007-04-26 09:21 stskeeps Status acknowledged => resolved
2007-04-26 09:21 stskeeps Fixed in Version => 3.3-alpha0
2007-04-26 09:21 stskeeps Resolution open => fixed
2007-04-26 09:21 stskeeps Assigned To => stskeeps
2007-04-26 09:21 stskeeps Note Added: 0013737
2011-07-19 17:38 syzop Assigned To stskeeps =>
2011-07-19 17:38 syzop Status resolved => has patch
2011-12-25 14:07 syzop Note Added: 0016832
2011-12-25 14:07 syzop Status has patch => resolved
2011-12-25 14:07 syzop Fixed in Version 3.3-alpha0 => 3.2.10-rc1
2011-12-25 14:07 syzop Assigned To => syzop